Bug 29001 - Abhängigkeit auf /usr/bin/pkusers fehlt
Abhängigkeit auf /usr/bin/pkusers fehlt
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Printserver
UNSTABLE
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Liam Schwez
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-31 13:44 CET by Dirk Wiesenthal
Modified: 2013-11-19 06:44 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2012-10-31 13:44:16 CET
/usr/bin/pkusers: No such file or directory, wenn ich in UMC die Druckerquota für einen Drucker bearbeiten möchte. Oder habe ich meinen (in Wahrheit nicht existierenden) Drucker falsch konfiguriert?

Das Paket pykota bringt das mit, aber offenbar auch graphische Elemente (gtk)...
Comment 1 Dirk Wiesenthal univentionstaff 2012-11-08 15:15:50 CET
Eine einfache Installation von pykota hilft aber auch nur unwesentlich. Offenbar muss man da etwas konfigurieren. Das Anlegen eines Quota via UMC jedenfalls bringt folgende Fehlermeldung (übrigens schön fett mitten im Frontend).

ERROR: PyKota v1.26_fixes_official ERROR: edpykota failed ERROR: Traceback (most recent call last): ERROR: File "/usr/bin/edpykota", line 320, in ERROR: manager.deferredInit() ERROR: File "/usr/lib/pymodules/python2.6/pykota/tool.py", line 457, in deferredInit ERROR: self.storage = storage.openConnection(self) ERROR: File "/usr/lib/pymodules/python2.6/pykota/storage.py", line 866, in openConnection ERROR: return storagebackend.Storage(pykotatool, host, database, admin, adminpw) ERROR: File "/usr/lib/pymodules/python2.6/pykota/storages/pgstorage.py", line 60, in __init__ ERROR: raise PGError, msg ERROR: Error: FATAL: Passwort-Authentifizierung f?r Benutzer >>pykotaadmin<< fehlgeschlagen ERROR: FATAL: Passwort-Authentifizierung f?r Benutzer >>pykotaadmin<< fehlgeschlagen ERROR: --- the most probable cause of your problem is that PostgreSQL is down, or doesn't accept incoming connections because you didn't configure it as explained in PyKota's documentation.
Comment 2 Moritz Muehlenhoff univentionstaff 2013-05-31 10:43:45 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 3 Liam Schwez univentionstaff 2013-07-09 14:14:55 CEST
Modified /umc/python/printers/__init__.py. Built an "if query" for checking if pykota program 'pkusers' exists. If not a info message in umc will appear that no package 'univention-printquota' was installed.
Also included a translation for the info message in /umc/python/printers/de.po.

- Modified changelog (7.0.1-2)
- Build into buildsystem
Comment 4 Felix Botner univentionstaff 2013-08-05 16:39:02 CEST
FAIL - Changelog entry missing
OK - Got message "The print quota settings are currently disabled. Please 
     install the package univention-printquota to enable them." when tried to 
     edit print quota's on a system without pkusers
Comment 5 Liam Schwez univentionstaff 2013-08-07 14:52:33 CEST
Made an changelog entry in section "Printing Services".
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:44:01 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".